-- 设置最小版本要求
set_version("5.4.7")

-- 设置项目语言
add_rules("mode.debug", "mode.release")

-- 创建静态库
target("lua")
    add_includedirs("src", { public = true })
    set_kind("static")
    add_defines("LUA_COMPAT_5_3")
    add_files("src/*.c", { exclude = { "src/lua.c", "src/luac.c" } })
    if is_plat("windows") then
        add_cflags("/wd4530")
        add_defines("LUA_BUILD_AS_DLL")
    elseif is_plat("linux") then
        add_defines("LUA_USE_LINUX")
        add_links("m", "dl", "E")
    end

-- 创建Lua可执行文件
target("mlua")
    set_kind("binary")
    add_files("src/lua.c")
    add_deps("lua")
target("mluac")
    set_kind("binary")
    add_files("src/luac.c")
    add_deps("lua")
